<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseGridImageMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $gridImageUrl = null;
    


    private $imageUrls;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getGridImageUrl()
    {
        return $this->gridImageUrl;
    }

    public function hasGridImageUrl()
    {
        return isset($this->gridImageUrl);
    }

    public function clearGridImageUrl()
    {
        unset($this->gridImageUrl);
    }

    




    public function setGridImageUrl($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\AIRichResponseImageURL::class);
        $this->gridImageUrl = $var;

        return $this;
    }

    



    public function getImageUrls()
    {
        return $this->imageUrls;
    }

    




    public function setImageUrls($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\AIRichResponseImageURL::class);
        $this->imageUrls = $arr;

        return $this;
    }

}

